﻿Type=Activity
Version=1.70
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
Dim GPS2 As GPS
Dim SQL1 As SQL
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim btnSubmit As Button
	Dim edtDepth As EditText
	Dim edtLat As EditText
	Dim edtLocation As EditText
	Dim edtLong As EditText
	Dim edtDate As EditText
	Dim edtTime As EditText
	Dim edtDateTime As EditText
	Dim edtWeight As EditText
	Dim lblDate As Label
	Dim lblTime As Label
	Dim lblCoil As Label
	Dim lblDepth As Label
	Dim lblDetector As Label
	Dim lblLat As Label
	Dim lblLat2 As Label
	Dim lblLon2 As Label
	Dim lblLocName As Label
	Dim lblLong As Label
	Dim lblWeight As Label
	Dim pnlPicPreview As Panel
	Dim camera1 As AdvancedCamera
	Dim nlist As List
	Dim edtCoil As EditText
	Dim edtDetect As EditText
	Dim lblDescript As Label
	Dim DBFileName As String										: DBFileName = "myfinds.db"
	Dim DBFilePath As String										: DBFilePath = File.DirDefaultExternal
	Dim DBTableName As String										: DBTableName = "finds"
	Dim lstCoil As List
	Dim lstDetect As List
	Dim spnCoil As Spinner
	Dim spnDetect As Spinner
	Dim exif As ExifData
End Sub

Sub Activity_Create(FirstTime As Boolean)

		dbutils.CopyDBFromAssets("myfinds.db")
		If File.Exists(DBFilePath, DBFileName) = False Then
		If FirstTime Then 
			SQL1.Initialize(DBFilePath, DBFileName, True)
			GPS2.Initialize("GPS")
			GPS2.stop
			GPS2.start(0,0)
		End If
	Else
		If FirstTime Then 
			SQL1.Initialize(DBFilePath, DBFileName, True)
			GPS2.Initialize("GPS")
			GPS2.stop
			GPS2.start(0,0)
		End If
	End If
		CreateTables
		
		Activity.LoadLayout("Page2")
		
		Dim now As Long						'this gets the date & time from the 2 fields on screen.
		now = DateTime.Now
		DateTime.DateFormat = "dd/MM/yyyy"	'formats the date into our format
		edtDate.Text= DateTime.Date(now)
		edtTime.Text= DateTime.Time(now)	'time is still in 24hr format would like to change
		Dim a,b As String
		a = edtDate.Text
		b = edtTime.Text
		edtDateTime.Text = a & b
		lstCoil = File.ReadList(File.DirAssets, "coils.txt")
		spnCoil.AddAll(lstCoil)
		lstDetect = File.ReadList(File.DirAssets, "detectors.txt")
		spnDetect.AddAll(lstDetect)
End Sub
Sub Activity_Resume
	If GPS2.GPSEnabled = False Then
		ToastMessageShow("Please enable the GPS device.", True)
		StartActivity(GPS2.LocationSettingsIntent) 'Will open the relevant settings screen.
	Else
		GPS2.Start(0, 0) 'Listen to GPS with no filters.
	End If
	camera1.Initialize(pnlPicPreview, "Camera1")
End Sub


Sub Activity_Pause (UserClosed As Boolean)
	GPS2.Stop
	camera1.Release
End Sub


Sub CreateTables
	SQL1.BeginTransaction
	SQL1.ExecNonQuery("CREATE TABLE IF NOT EXISTS finds (Date Text, Lat Integer, Lon Integer, Location Text, Depth Text, Weight Text, Detector Text, Coil Text, pic BLOB)") 
	SQL1.EndTransaction
End Sub

Sub spnCoil_ItemClick (Position As Int, Value As Object)
	edtCoil.Text = spnCoil.SelectedItem
End Sub

Sub spnDetect_ItemClick (Position As Int, Value As Object)
	edtDetect.Text = spnDetect.selectedItem
End Sub

Sub Camera1_Ready (Success As Boolean)
	If success Then
		Camera1.OriPortrait
		Camera1.StartPreview
		
	Else
		ToastMessageShow("Cannot open camera.", True)
	End If
End Sub

Sub GPS_LocationChanged (Location1 As Location)
	edtLat.Text = NumberFormat2(Location1.Latitude,0,6,6,False).Replace(":",".")
	edtLong.Text = NumberFormat2(Location1.Longitude,0,6,6,False).Replace(":",".")
'	lblLat2.Text = "" & Location1.ConvertToMinutes(Location1.Latitude)
'	lblLon2.Text = "" & Location1.ConvertToMinutes(Location1.Longitude)
	End Sub
	
Sub Camera1_PictureTaken (Data() As Byte)
	camera1.StartPreview
	Camera1.OriPortrait
	Dim a,b,c As String
	a = edtLocation.text
	b = lblLat2.Text
	c = lblLon2.Text
	Dim out As OutputStream
	out = File.OpenOutput(File.DirDefaultExternal, a & ".jpg", False)
	out.WriteBytes(data, 0, data.Length)
	out.Close
	
	Dim InputStream1 As InputStream
	InputStream1 = File.OpenInput(File.DirDefaultExternal, a & ".jpg")
	Dim OutputStream1 As OutputStream
	OutputStream1.InitializeToBytesArray(1000)
	
	File.Copy2(InputStream1, OutputStream1)
	Dim Buffer() As Byte
	Buffer = OutputStream1.ToBytesArray
	'insert record
	SQL1.ExecNonQuery2("INSERT INTO finds VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?)", _
	Array As Object(edtDateTime.Text, edtLat.Text, edtLong.Text, edtLocation.Text, _
	edtDepth.Text, edtWeight.Text,	edtDetect.Text, edtCoil.Text, (Buffer)))
'	exif.Initialize(File.DirDefaultExternal, a & ".jpg")
'	exif.setAttribute(exif.TAG_GPS_LATITUDE,b)
'	exif.setAttribute(exif.TAG_GPS_LONGITUDE,c)
'	exif.saveAttributes
	End Sub

Sub btnSubmit_Click
	camera1.TakePicture
End Sub
Sub btnBack_Click
	Activity.CloseMenu
	StartActivity ("Main")
	edtDateTime.Text=""
		edtLat.Text=""
		edtLong.Text=""
		edtLocation.Text=""
		edtDepth.Text=""
		edtWeight.Text=""
		edtDetect.Text=""
		edtCoil.Text=""
End Sub

